Start a new upload

Use this endpoint to start the upload of a media for a recording. Use the uploadId returned by the endpoint to upload content and complete the upload.

Here's a code sample on how to use our file upload APIs: Transcript File Upload Guide

POST /api/v1/spaces/{spaceId}/recordings/{recordingId}/uploads
API key in header x-api-key

Path parameters

· 2
spaceId string required

ID of the workspace. You can find from the url in dashboard when you open the workspace or using the list workspaces endpoint.

recordingId string required

ID of the recording. You can find from the url in dashboard when you open the workspace or using the list recordings endpoint.

Body

application/json

Metadata

mimeType string required

Mime Type of the media file that is going to be uploaded. Examples of the mimeType format:

  • video/mp4
  • video/webm
  • audio/mp4
  • audio/mp3

Responses